at.chipkarte.client.kse.soap

## Class LimitKonfig

- Object
- - at.chipkarte.client.kse.soap.LimitKonfig

-     public class LimitKonfig
      extends Object

  Enthält die am Server konfigurierten Limitwerte für den konkreten Vertrag des Vertragspartners.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitKonfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDatumBis()` Datum, bis zu dem das Limit gilt.
    `String` | `getDatumVon()` Datum, ab dem das Limit gilt.
    `String` | `getLimitCode()` Angabe, ob es sich um ein Limit für Offlinekonsultationen oder für Konsultationen ohne e-card handelt.
    `String` | `getLimitType()` Limittyp zur Unterscheidung zwischen personenbezogenem und allgemeinem Limit.
    `Integer` | `getLimitValue()` Im Regelwerk angegebener Limitwert.
    `Integer` | `getLimitValuePercent()` Prozentuelles Limit aus dem Regelwerk.
    `String` | `getValueType()` Kennzeichen, ob es sich um ein prozentuelles oder absolutes Limit handelt, siehe Feld `LimitValue`.
    `void` | `setDatumBis(String datumBis)`
    `void` | `setDatumVon(String datumVon)`
    `void` | `setLimitCode(String code)`
    `void` | `setLimitType(String type)`
    `void` | `setLimitValue(Integer value)`
    `void` | `setLimitValuePercent(Integer valuePercent)`
    `void` | `setValueType(String type)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LimitKonfig

          public LimitKonfig()

  - ### Method Detail

    - #### getDatumVon

          public String getDatumVon()

      Datum, ab dem das Limit gilt.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        "Gültig ab" Datum des Limits

    - #### getDatumBis

          public String getDatumBis()

      Datum, bis zu dem das Limit gilt.
      Format: TT.MM.JJJJ, 10-stellig
      Returns:
        "Gültig bis" Datum des Limits

    - #### getLimitCode

          public String getLimitCode()

      Angabe, ob es sich um ein Limit für Offlinekonsultationen oder für Konsultationen ohne e-card handelt.
      Mögliche Werte: `Limitcodes`.
      Format: 2-stellig
      Returns:
        Limitcode

    - #### getLimitType

          public String getLimitType()

      Limittyp zur Unterscheidung zwischen personenbezogenem und allgemeinem Limit.
      Mögliche Werte siehe `LimitType`.
      Format: 2-stellig
      Returns:
        Limittyp

    - #### getLimitValue

          public Integer getLimitValue()

      Im Regelwerk angegebener Limitwert.
      Wenn das prozentuelle Limit (siehe ValueType) angegeben ist, dann enthält das Feld den berechneten prozentuellen Wert, ansonsten den konkreten (absoluten) Limitwert.
      Format: Integer (numerisch)
      Returns:
        Limitwert

    - #### getValueType

          public String getValueType()

      Kennzeichen, ob es sich um ein prozentuelles oder absolutes Limit handelt, siehe Feld `LimitValue`.
      Format: 1-stellig
      Mögliche Werte:
      - A...Absoluter Wert
      - P...Prozentueller Wert
      Returns:
        Typ des Limitwertes.

    - #### getLimitValuePercent

          public Integer getLimitValuePercent()

      Prozentuelles Limit aus dem Regelwerk.
      - Wenn ValueType "P" ist, dann enthält das Feld den prozentuellen Wert (0..100) für das Limit aus dem Regelwerk.
      - Wenn ValueType "A" ist, dann enthält das Feld den Wert -1.
      Returns:
        Prozentueller Limitwert

    - #### setDatumVon

          public void setDatumVon(String datumVon)

    - #### setDatumBis

          public void setDatumBis(String datumBis)

    - #### setLimitCode

          public void setLimitCode(String code)

    - #### setLimitType

          public void setLimitType(String type)

    - #### setLimitValue

          public void setLimitValue(Integer value)

    - #### setLimitValuePercent

          public void setLimitValuePercent(Integer valuePercent)

    - #### setValueType

          public void setValueType(String type)